org.apache.hadoop.util

## Class Shell.ExitCodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.util.Shell.ExitCodeException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Shell

      public static class Shell.ExitCodeException
      extends IOException

  This is an IOException with exit code added.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExitCodeException(int exitCode, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExitCodeException

          public ExitCodeException(int exitCode,
                                   String message)

  - ### Method Detail

    - #### getExitCode

          public int getExitCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.